class ValidValue < ActiveRecord::Base

  hobo_model # Don't put anything above this

  fields do
    value       :string
    description :markdown
    timestamps
  end

  belongs_to :parameter

  def name
    value
  end

  # --- Permissions --- #

  def create_permitted?
    acting_user.administrator?
  end

  def update_permitted?
    acting_user.administrator?
  end

  def destroy_permitted?
    acting_user.administrator?
  end

  def view_permitted?(field)
    true
  end

end
